#include "./ConsoleController.hpp"

ConsoleController::ConsoleController()
{
	m_game = new Game();
}

ConsoleController::~ConsoleController()
{
	delete m_game;
}

void ConsoleController::play()
{
	while (!m_game->isOver())
	{
		m_game->showGrid();
		char moveChoice = ' ';

		std::cin >> moveChoice;

		switch (moveChoice)
		{
			case 'z':
				std::cout << "up" << std::endl;
				break;

		    	case 's':
				std::cout << "down" << std::endl;
				break;

		    	case 'q':
				std::cout << "left" << std::endl;
				break;
		    	case 'd':
				std::cout << "right" << std::endl;
				break;

		    	default:
				break;
		}

		std::cout << std::endl;
		m_game->pop();
	}
}
